com.pixelmed.test

## Class TestCStore

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCStore

-     public class TestCStore
      extends TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TestCStore.OurReceivedObjectHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `associationReleased`
    `protected java.lang.String` | `lastReceivedDicomFileName`
    `protected static int` | `port`
    `protected static java.lang.String` | `scpAET`
    `protected static java.lang.String` | `scuAET`
    `protected static int` | `waitIntervalWhenSleeping`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCStore(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()`
    `void` | `TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()`
    `void` | `TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG()`
    `void` | `TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE()`
    `void` | `TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG()`
    `void` | `TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### waitIntervalWhenSleeping

          protected static final int waitIntervalWhenSleeping

      See Also:
        Constant Field Values

    - #### port

          protected static final int port

      See Also:
        Constant Field Values

    - #### scpAET

          protected static final java.lang.String scpAET

      See Also:
        Constant Field Values

    - #### scuAET

          protected static final java.lang.String scuAET

      See Also:
        Constant Field Values

    - #### lastReceivedDicomFileName

          protected volatile java.lang.String lastReceivedDicomFileName

    - #### associationReleased

          protected volatile boolean associationReleased

  - ### Constructor Detail

    - #### TestCStore

          public TestCStore(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully

          public void TestCStore_SendOneNotOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()
                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully

          public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicySuccessfully()
                                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE

          public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_RLE()
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE

          public void TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_RLE()
                                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG

          public void TestCStore_SendOneOfSetToDefaultSCPPresentationContextSelectionPolicyUnsuccessfully_MPEG()
                                                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG

          public void TestCStore_SendOneOfSetToLastRecognizedSCPPresentationContextSelectionPolicySuccessfully_MPEG()
                                                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`